xine-lib: _TENTACLE_FX_DATA Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_TENTACLE_FX_DATA Struct Reference

## Data Fields
PluginParam | enabled_bp
PluginParameters | params
float | cycle
grid3d * | grille [6]
float * | vals
int | colors [4]
int | col
int | dstcol
float | lig
float | ligs
float | distt
float | distt2
float | rot
int | happens
int | rotation
int | lock

## Field Documentation

## ◆ col

int _TENTACLE_FX_DATA::col

Referenced by tentacle_fx_init(), and tentacle_update().

## ◆ colors

int _TENTACLE_FX_DATA::colors[4]

Referenced by tentacle_fx_init(), and tentacle_update().

## ◆ cycle

float _TENTACLE_FX_DATA::cycle

Referenced by tentacle_fx_init(), and tentacle_update().

## ◆ distt

float _TENTACLE_FX_DATA::distt

Referenced by pretty_move(), and tentacle_fx_init().

## ◆ distt2

float _TENTACLE_FX_DATA::distt2

Referenced by pretty_move(), and tentacle_fx_init().

## ◆ dstcol

int _TENTACLE_FX_DATA::dstcol

Referenced by tentacle_fx_init(), and tentacle_update().

## ◆ enabled_bp

PluginParam _TENTACLE_FX_DATA::enabled_bp

Referenced by tentacle_fx_apply(), and tentacle_fx_init().

## ◆ grille

grid3d* _TENTACLE_FX_DATA::grille[6]

Referenced by tentacle_free(), tentacle_new(), and tentacle_update().

## ◆ happens

int _TENTACLE_FX_DATA::happens

Referenced by pretty_move(), and tentacle_fx_init().

## ◆ lig

float _TENTACLE_FX_DATA::lig

Referenced by tentacle_fx_init(), and tentacle_update().

## ◆ ligs

float _TENTACLE_FX_DATA::ligs

Referenced by tentacle_fx_init(), and tentacle_update().

## ◆ lock

int _TENTACLE_FX_DATA::lock

Referenced by pretty_move(), and tentacle_fx_init().

## ◆ params

PluginParameters _TENTACLE_FX_DATA::params

Referenced by tentacle_fx_free(), and tentacle_fx_init().

## ◆ rot

float _TENTACLE_FX_DATA::rot

Referenced by pretty_move(), and tentacle_fx_init().

## ◆ rotation

int _TENTACLE_FX_DATA::rotation

Referenced by pretty_move(), and tentacle_fx_init().

## ◆ vals

float* _TENTACLE_FX_DATA::vals

Referenced by tentacle_free(), tentacle_new(), and tentacle_update().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/tentacle3d.c